Subject: bug#42790: [PATH] 27.1; Add version info into file name "emacs.pdmp" to avoid mismatch pdmp file

From: Glenn Morris <[email-masked]>
Date: Wed, 29 Sep 2021 21:33:27 -0400

Lars Ingebrigtsen wrote:

> So that bit of the patch isn't directly relevant for the subject of this
> bug report, but I guess the addition of the "--fingerprint" bit is?  (So
> that we can write to emacs-FINGERPRINT.pdmp before moving to the
> numbered version?)

This bug report is about "emacs.pdmp" is not being a specific enough
name. The OP suggests adding program suffix (etc; "version info")
information into the name of the pdmp file. My suggestion is that a
better solution is to use the dump fingerprint in the name instead
(I think this has been suggested several times.)
So the patch directly addresses the problem in the original report.
I think it just needs some C polishing.